=== debian/changelog ===
projecteur (0.8-1) unstable; urgency=medium

  * New upstream version.
  * Move to debhelper-compat 13.

 -- Stuart Prescott <stuart@debian.org>  Sat, 08 Aug 2020 18:54:37 +1000

projecteur (0.7-2) unstable; urgency=medium

  * Source-only upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Sun, 12 Apr 2020 17:22:01 +1000

projecteur (0.7-1) unstable; urgency=medium

  * Initial release.
  * Add patch for cmake to find version strings without git.
  * Add man page for projecteur(1).
  * Add appstream metainfo file.

 -- Stuart Prescott <stuart@debian.org>  Tue, 25 Feb 2020 15:38:11 +1100
