=== debian/control ===
Source: projecteur
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders:
 Stuart Prescott <stuart@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 libqt5x11extras5-dev,
 pkg-config,
 pkg-kde-tools,
 qtbase5-dev,
 qtdeclarative5-dev,
 qml-module-qtgraphicaleffects,
 qml-module-qtquick-window2,
 qml-module-qtquick2,
Homepage: https://github.com/jahnf/Projecteur/
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/projecteur.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/projecteur
Rules-Requires-Root: no

Package: projecteur
Architecture: any
Depends:
 qml-module-qtgraphicaleffects,
 qml-module-qtquick-window2,
 qml-module-qtquick2,
 ${misc:Depends},
 ${shlibs:Depends},
Description: virtual laser pointer for Logitech Spotlight devices
 Projecteur is a virtual laser pointer for use with inertial pointers such as
 the Logitech Spotlight. Projecteur can show a colored dot, a highlighted
 circle or a zoom effect to act as a pointer. The location of the pointer
 moves in response to moving the handheld pointer device. The effect is much
 like that of a traditional laser pointer, except that it is captured by
 recording software and works across multiple screens.
