=== debian/changelog ===
projecteur (0.9.2-2) unstable; urgency=medium

  * Fix compilation with GCC 12, cherrypicking patches from upstream.
    (Closes: #1013015).
  * Update Standards-Version to 4.6.1 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 31 Jul 2022 15:44:52 +1000

projecteur (0.9.2-1) unstable; urgency=medium

  * New upstream version.
  * Allow lintian-brush to update:
    - debian/upstream/metadata
    - Standards-Version to 4.6.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 18 Oct 2021 13:37:03 +1100

projecteur (0.9.1-1) experimental; urgency=medium

  * New upstream version.
   - drop patch incorporated upstream.
  * Update Standards-Version to 4.5.1 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sat, 20 Mar 2021 17:08:13 +1100
