=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  qml-module-qtquick-window2,
  qml-module-qtquick2,
 Homepage: https://github.com/jahnf/Projecteur/
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/projecteur.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/projecteur
 Rules-Requires-Root: no
