=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/projecteur-$1\.tar\.gz/ \
  https://github.com/jahnf/Projecteur/tags .*/v?(\d\S+)\.tar\.gz
