=== debian/changelog ===
projecteur (0.10-4) unstable; urgency=medium

  * Upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Tue, 07 May 2024 19:19:16 +1000

projecteur (0.10-3) experimental; urgency=medium

  * Fix FTBFS caused by t64 transition with local patch to change the
    input_event struct at compile time (Closes: #1067622, #1069518)
  * Update Standards-Version to 4.7.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sat, 27 Apr 2024 11:43:27 +1000

projecteur (0.10-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Use udev.pc to place udev files (Closes: #1058832).

  [ Stuart Prescott ]
  * Update Standards-Version to 4.6.2 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 18 Dec 2023 17:34:00 +1100

projecteur (0.10-1) unstable; urgency=medium

  * New upstream release.
    - drop patch, merged upstream

 -- Stuart Prescott <stuart@debian.org>  Sat, 21 Oct 2023 17:25:44 +1100
