=== debian/control ===
--- 
+++ 
@@ -16,8 +16,9 @@
  qml-module-qtgraphicaleffects,
  qml-module-qtquick-window2,
  qml-module-qtquick2,
+ systemd-dev,
 Homepage: https://github.com/jahnf/Projecteur/
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/projecteur.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/projecteur
 Rules-Requires-Root: no
